/**********************************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JavaProcessExecutableObjectImpl.java,v 1.3 2008-03-20 18:49:53 dmorris Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.core.impl;

/**
 * @author rduggan
 *
 * This is a Process executor that reads the system property "hyades.test.JVM"
 * to determine where our JVM is to launch
 * 
 */
public class JavaProcessExecutableObjectImpl extends ProcessExecutableObjectImpl {
	
	/* Override the init method to find the JVM path */
	public void init() {
		super.setExe(System.getProperty("hyades.test.JVM"));//$NON-NLS-1$
	}

}
