/********************************************************************** 
 * Copyright (c) 2005, 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: MetaService.java,v 1.3 2006-03-16 13:30:37 jptoomey Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.hyades.execution.local.testservices;

import org.eclipse.hyades.internal.execution.local.control.Agent;

/**
 * @author jtoomey
 *
 */
public class MetaService extends AbstractTestService {
	
	public String serviceExists(Agent agent, String args, StringBuffer errBuf) {
		boolean bExists = false;
		
		ITestService service = TestServiceAgentListener.getTestService(args);
		if (service != null)
			bExists = true;
		return  Boolean.toString(bExists);
		
	}

}
