package org.eclipse.hyades.execution.security;
/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IKeystoreManager.java,v 1.2 2005-02-25 22:17:09 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

import java.security.Provider;

import javax.net.ssl.KeyManager;
import javax.net.ssl.TrustManager;

/**
 * @author rduggan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public interface IKeystoreManager {
	
	public void setProvider(Provider provider);

	public void loadKeystore(String filename, String password) throws java.security.KeyStoreException, java.security.NoSuchAlgorithmException, java.security.UnrecoverableKeyException, java.security.KeyManagementException, java.security.cert.CertificateException, java.io.IOException;

	public KeyManager[] getKeyManagers();

	public TrustManager[] getTrustManagers();

}
