/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: RecorderHandleCommandException.java,v 1.3 2005-05-27 15:49:23 mddunn Exp $
 * 
 * Contributors: 
 * IBM Corporation - initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.internal.execution.recorder.remote;

/**
 * Exception thrown when a Recorder Agent cannot handle a command properly
 * @author Ernest Jessee
 */
public class RecorderHandleCommandException extends Exception
{
	static final long serialVersionUID = -3931844158422440685L;
	/**
	 * 
	 */
	public RecorderHandleCommandException()
	{
		super();
	}

	/**
	 * @param message
	 */
	public RecorderHandleCommandException(String message)
	{
		super(message);
	}

	/**
	 * @param cause
	 */
	public RecorderHandleCommandException(Throwable cause)
	{
		super(cause.getMessage());
	}

	

}
