/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: LongToObjectMap.java,v 1.2 2007-12-01 00:06:21 apnan Exp $
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;

import java.util.Map;

/**
 * 
 * @author slavescu
 *
 */
public interface LongToObjectMap extends Map{
	int compact();
	Object remove(long key);

	Object put(long key, Object object);
	
	Object get(long key);
	boolean containsKey(long key);
	
	Object[] getValues();
	long[] getKeys();
	

}
