/**********************************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ContextIds.java,v 1.3 2008-01-24 14:53:39 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.tools.ui.common.internal.util;

/**
 * Context IDs.
 * 
 *  
 * @author      Paul E. Slauenwhite
 * @version     January 24, 2008
 * @since       February 1, 2005
 */
public class ContextIds {
	
	//run wizard
	public static final String RUN_DESC_PAGE = ".rwiz0001";
	public static final String RUN_DESC_PAGE_TEXT = ".addb0002";
	public static final String RUN_ENV_VIEWER = ".envt0001";
	public static final String RUN_ENV_VIEWER_ADD = ".envt0002";
	public static final String RUN_ENV_VIEWER_DEL = ".envt0003";
	public static final String RUN_ENV_VIEWER_UP = ".envt0004";
	public static final String RUN_ENV_VIEWER_DOWN = ".envt0005";
	public static final String RUN_ENV_VIEWER_DLG = ".envt0006";
	public static final String RUN_ENV_VIEWER_DLG_BC = ".envt0007";
	public static final String RUN_ENV_VIEWER_DLG_BD = ".envt0008";
	public static final String RUN_ENV_VIEWER_DLG_BJ = ".envt0009";
	public static final String RUN_ENV_VIEWER_DLG_N = ".envt0010";
	public static final String RUN_ENV_VIEWER_DLG_C = ".envt0011";
	public static final String RUN_ENV_VIEWER_DLG_D = ".envt0012";
	public static final String RUN_ENV_VIEWER_EDIT = ".envt0013";
	public static final String RUN_ENV_VIEWER_TABLE = ".envt0014";
	
}
