/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IDatapoolPartExtended.java,v 1.2 2005-02-25 22:17:54 hleung Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.datapool.internal.interfaces;

import org.eclipse.ui.IEditorPart;

/**
 * A interface that extends the data pool part interface futher and adds a
 * method that exposes the editor part associated with the data pool part.
 * 
 * @author Scott E. Schneider
 */
public interface IDatapoolPartExtended extends IDatapoolPart {

    /**
     * Returns the data pool part's associated editor part
     * 
     * @return the associated editor part
     */
    public IEditorPart getEditorPart();

}