/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IEObjectSelection.java,v 1.1 2005-07-22 14:49:38 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.trace.selection;

import org.eclipse.emf.ecore.EObject;

/**
 * An interface for selections that represents one EObject
 */
public interface IEObjectSelection {
	
	/**
	 * Returns the EObject of this selection
	 */
	public EObject getEObject();
	
}
