/*****************************************************************************
 * Copyright (c) 2007, Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *    Ruslan A. Scherbakov, Intel - Initial API and implementation
 *
 * $Id: MethodDetails.java,v 1.1 2007-02-27 18:37:35 ewchan Exp $ 
 *****************************************************************************/

package org.eclipse.tptp.trace.jvmti.internal.client;

public class MethodDetails {

	public String name;
	public String signature;
	public int line;
	public boolean running;

	public MethodDetails() {
	}

	public MethodDetails(String name) {
		this(name, null);
	}

	public MethodDetails(String name, String signature) {
		this(name, signature, -1);
	}

	public MethodDetails(String name, String signature, int line) {
		this.name = name;
		this.signature = signature;
		this.line = line;
	}
}
