/*****************************************************************************
 * Copyright (c) 2007, Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *    Ruslan A. Scherbakov, Intel - Initial API and implementation
 *
 * $Id: TIContextAttributes.java,v 1.1 2007-02-27 18:37:34 ewchan Exp $ 
 *****************************************************************************/

package org.eclipse.tptp.trace.jvmti.internal.client.context;

import org.eclipse.hyades.ui.provisional.context.IContextAttributes;

public interface TIContextAttributes extends IContextAttributes {

	public final static String METHOD_LINE_NUMBER = "method.line.number";

	public final static String PACKAGE_AVG_AGE = "package.avg.age";
	public final static String PACKAGE_GENERATIONS = "package.generations";

	public final static String CLASS_AVG_AGE = "class.avg.age";
	public final static String CLASS_GENERATIONS = "class.generations";

	public final static String CALL_SITE_LINE_NUMBER = "callsite.line.number";
	public final static String CALL_SITE_AVG_AGE = "callsite.avg.age";
	public final static String CALL_SITE_GENERATIONS = "callsite.generations";
}
