/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: RecorderException.java,v 1.4 2007-05-02 19:36:13 paules Exp $
 * 
 * Contributors: 
 * IBM Corporation - initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.recorder;

/**
 * exception thrown at various points within the recorder harness. 
 * @author Ernest Jessee
 */
public class RecorderException extends Exception
{
	static final long serialVersionUID = -6883042624919049925L; 
	
	public RecorderException()
	{
		super();
		
	}

	
	
	public RecorderException(String message)
	{
		super(message);
		
	}

	

}
