/**********************************************************************
Copyright (c) 2006 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: TransportLayer.java,v 1.2 2006-03-28 20:04:08 rsmith Exp $

Contributors:
    Randy D. Smith, Intel Corporation - initial implementation based
                                        based on IBM original examples
**********************************************************************/
package org.eclipse.tptp.platform.agentcontroller.config;

import org.w3c.dom.Element;

public class TransportLayer extends ConfigElement {
	public final static String TAG = ConfigUtility.getString("Config.TransportLayer.Tag");

	public static void setLoadLib(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.TransportLayer.LoadLib.Tag"), value);
	}

	public static void setType(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.TransportLayer.Type.Tag"), value);
	}
}
