/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MessageOverflowException.java,v 1.4 2005-10-08 14:28:53 sschneid Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.internal.execution.local.common;

/**
 * Insert the type's description here. Creation date: (8/23/00 10:54:20 AM)
 * 
 * @author:
 */
public class MessageOverflowException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = 1648853064662621578L;

	/**
	 * MessageOverflowException constructor comment.
	 */
	public MessageOverflowException() {
		super();
	}

	/**
	 * MessageOverflowException constructor comment.
	 * 
	 * @param s
	 *            java.lang.String
	 */
	public MessageOverflowException(String s) {
		super(s);
	}
}
