/*******************************************************************************
 * Copyright (c) 2003, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: HyadesCommon_TestprofileAdapterFactory.java,v 1.3 2006-02-08 19:56:39 slavescu Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.models.common.facades.behavioral.impl;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.hyades.models.common.testprofile.util.Common_TestprofileAdapterFactory;

/**
 * @author jtoomey
 * @author psun
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class HyadesCommon_TestprofileAdapterFactory
	extends Common_TestprofileAdapterFactory {

	/**
	 * 
	 */
	public HyadesCommon_TestprofileAdapterFactory() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.hyades.models.common.testprofile.util.Common_TestprofileAdapterFactory#createTPFTestSuiteAdapter()
	 */
	public Adapter createTPFTestSuiteAdapter() {
		return new HyadesTPFTestSuiteAdapter();
	}
	
	public Adapter createTPFTestComponentAdapter() {
		return new HyadesTPFTestComponentAdapter();
	}

}
