/********************************************************************** 
 * Copyright (c) 2007 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: TptpCommon_BVRExecutionOccurrenceAdapterFactory.java,v 1.1 2007-08-23 00:29:30 jptoomey Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.models.common.facades.behavioral.impl;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.hyades.models.common.interactions.util.Common_Behavior_InteractionsAdapterFactory;

/**
 * @author jtoomey
 *
 */
public class TptpCommon_BVRExecutionOccurrenceAdapterFactory extends
		Common_Behavior_InteractionsAdapterFactory {

	public TptpCommon_BVRExecutionOccurrenceAdapterFactory() {
		super();
	}

	public Adapter createBVRExecutionOccurrenceAdapter() {
		return new TptpBVRExecutionOccurrenceAdapter();
	}
	
	

}
