/* ***********************************************************
 * Copyright (c) 2005, 2009 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: TestPassReportWizard.java,v 1.10 2009-03-27 17:10:47 paules Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/
package org.eclipse.hyades.test.tools.ui.common.internal.report;

import org.eclipse.tptp.test.samples.internal.resources.SamplesPluginResourceBundle;

/**
 * <p>Test pass report wizard.</p>
 * 
 * 
 * @author     Joseph Toomey
 * @author     Paul E. Slauenwhite
 * @version    March 27, 2009
 * @since      June 16, 2005
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 */
public class TestPassReportWizard extends ReportWindowWizard {
    
	public final static String EDITOR_ID = "org.eclipse.ui.browser.editorSupport";//$NON-NLS-1$

	public TestPassReportWizard() {
		super();
        setWindowTitle(SamplesPluginResourceBundle.ReportWindowWizardPage_Title); 
        setOnlyConsiderMostRecentResult(true);
	}

	public String getEditorId() {
		return EDITOR_ID;
	}
}
