/********************************************************************** 
 * Copyright (c) 2008, 2009 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: EditorExtensionMessages.java,v 1.3 2009-04-20 14:04:21 paules Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.editor.extension.resources;

import org.eclipse.osgi.util.NLS;

/**
 * <p>EditorExtensionMessages.java</p>
 * 
 * 
 * @author  Jerome Bozier
 * @author  Paul Slauenwhite
 * @version April 20, 2009
 * @since   March 20, 2008
 */
public class EditorExtensionMessages extends NLS {
	
	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.ui.internal.editor.extension.resources.messages"; //$NON-NLS-1$
	
	public static String _8;
	public static String SaveValidationErrorMsg_0;
	public static String SaveValidationErrorMsg_3;
	
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, EditorExtensionMessages.class);
	}

	private EditorExtensionMessages() {
	}
}
