/********************************************************************** 
 * Copyright (c) 2005, 2006  IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: IContextViewer.java,v 1.4 2006-01-27 20:47:40 ewchan Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.trace.views.adapter.internal;

import org.eclipse.hyades.trace.views.actions.internal.ContextSelectionMenuListener;

public interface IContextViewer {

	public String getSelectedContext();
	public void setSelectedContext(String context);
	public void setSelectedContext(String context, boolean refresh);
	public boolean contextChanged();
	public void updateContext();
	public ContextSelectionMenuListener getContextSelectionMenuListener();
}
