/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DrawStrategy.java,v 1.1 2005-07-22 14:49:34 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.trace.views.internal;


public interface DrawStrategy
{
	void bgRedraw(org.eclipse.swt.graphics.GC gc);
	float height();
	public boolean isDirty ();
	boolean isDirtyAndReset();
	JCanvas jcanvas();
	void jcanvas(JCanvas c);
	float left();
	void moved(float x, float y);
	void selected(float x, float y, boolean shiftdown, boolean controldown, boolean metadown);
	public void setDirty ();
	float top();
	float width();
}
