/********************************************************************** 
 * Copyright (c) 2005, 2008  IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: ContextLanguageImpl.java,v 1.2 2008-01-24 02:29:03 apnan Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.ui.internal.context;

import org.eclipse.hyades.ui.provisional.context.IContextLanguage;
import org.eclipse.jface.resource.ImageDescriptor;

public class ContextLanguageImpl implements IContextLanguage {

	protected String id;
	protected String key;
	protected String name;
	protected String description;
	protected ImageDescriptor icon;
	
	public ContextLanguageImpl(String _id, String _key, String _name, String _description, ImageDescriptor _icon)
	{
		id = _id;
		key = _key;
		name = _name;
		description = _description;
		icon = _icon;
	}
	
	public String id() {
		return id;
	}

	public String contextKey() {
		return key;
	}

	public String name() {
		return name;
	}

	public String description() {
		return description;
	}

	public ImageDescriptor icon() {
		return icon;
	}
}
