/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: BoundsImpl.java,v 1.2 2005-06-08 16:16:06 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.tptp.platform.report.core.provisional;

/**
 * Concrete class of the IBounds interface.
 * @see org.eclipse.tptp.platform.report.core.provisional.IBounds
 *
 */
public class BoundsImpl implements IBounds {
	protected double width;
	protected double height;
	/* (non-Javadoc)
	 * @see org.eclipse.tptp.platform.report.core.provisional.IBounds#getHeight()
	 */
	public double getHeight() {
		return height;
	}
	/* (non-Javadoc)
	 * @see org.eclipse.tptp.platform.report.core.provisional.IBounds#setHeight(double)
	 */
	public void setHeight(double height) {
		this.height = height;
	}
	/* (non-Javadoc)
	 * @see org.eclipse.tptp.platform.report.core.provisional.IBounds#getWidth()
	 */
	public double getWidth() {
		return width;
	}
	/* (non-Javadoc)
	 * @see org.eclipse.tptp.platform.report.core.provisional.IBounds#setWidth(double)
	 */
	public void setWidth(double width) {
		this.width = width;
	}

}
