/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DXsdError.java,v 1.3 2008-05-23 14:11:59 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/


/*
 * Created on Sep 18, 2003
 *
 */
package org.eclipse.tptp.platform.report.drivers.xsd.internal;

/**
 * DXmlError can be thrown by DXmlReader when it detects bad constructed xml document
 * or something making it grumpiness.
 *
 * @author ademuyser
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class DXsdError extends Error
{
  /**
     * 
     */
    private static final long serialVersionUID = 1L;

public DXsdError(String m) 
  {
    super(m);
  }
}
