/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial API and Implementation
 *
 * $Id: CmdConv.h,v 1.4 2006-02-24 20:01:15 akaylor Exp $
 *
 *******************************************************************************/ 

#ifndef __CMDCONV_H__
#define __CMDCONV_H__

#include "tptp/TPTPBaseTL.h"
#include "tptp/compatibility/RAComm.h"
#include "tptp/compatibility/RACTypes.h"

tptp_int32 convertCommandToXML( tl_state_data_t* stateData, tptp_uint32 srcID, tptp_uint32 destID, ra_command_t* command, tptp_string** buffer );

#endif /* __CMDCONV_H__ */
